package com.persagy.functions.weather.constant;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * Description: 天气信息码常量   
 */
public class WeatherConstant {
//	public static final Set<String> 
	
	// 数据字典天气信息码及对应描述信息
	private static final Map<String, String> code2DescMap = new HashMap<>();
	/** 获取天气现象代码及描述信息 */
	public static Map<String, String> getCode2descmap() {
		return code2DescMap;
	}
	// 第三方天气服务气象编码和气象文字说明
	private static final Map<String, String> standCodeDesc = new LinkedHashMap<>();
	public static Map<String, String> getStandCodeDesc() {
		return standCodeDesc;
	}
	
	public static void main(String[] args) {
		Map<String, String> smap = getStandCodeDesc();
		for(String key : smap.keySet()) {
			System.out.println("\"" + key + "\": " + "\"" + smap.get(key) + "\",");
		}
	}
	
	static {
		code2DescMap.put("1", "晴"); code2DescMap.put("2", "多云");
		code2DescMap.put("3", "阴"); code2DescMap.put("4", "阵雨");
		code2DescMap.put("5", "雷阵雨"); code2DescMap.put("6", "雷阵雨伴有冰雹");
		code2DescMap.put("7", "雨夹雪"); code2DescMap.put("8", "小雨");
		code2DescMap.put("9", "中雨"); code2DescMap.put("A", "大雨");
		code2DescMap.put("B", "暴雨"); code2DescMap.put("C", "大暴雨");
		code2DescMap.put("D", "特大暴雨"); code2DescMap.put("E", "阵雪");
		code2DescMap.put("F", "小雪"); code2DescMap.put("G", "中雪");
		code2DescMap.put("H", "大雪"); code2DescMap.put("I", "暴雪");
		code2DescMap.put("J", "雾"); code2DescMap.put("K", "冻雨");
		code2DescMap.put("L", "沙尘暴"); code2DescMap.put("M", "浮沉");
		code2DescMap.put("N", "扬沙"); code2DescMap.put("O", "强沙尘暴");
		code2DescMap.put("P", "霾"); code2DescMap.put("Q", "其他");
		
		standCodeDesc.put("0", "晴"); standCodeDesc.put("1", "晴");
		standCodeDesc.put("2", "晴"); standCodeDesc.put("3", "晴");
		standCodeDesc.put("4", "多云"); standCodeDesc.put("5", "晴间多云");
		standCodeDesc.put("6", "晴间多云"); standCodeDesc.put("7", "大部多云");
		standCodeDesc.put("8", "大部多云"); standCodeDesc.put("9", "阴");
		standCodeDesc.put("10", "阵雨"); standCodeDesc.put("11", "雷阵雨");
		standCodeDesc.put("12", "雷阵雨伴有冰雹"); standCodeDesc.put("13", "小雨");
		standCodeDesc.put("14", "中雨"); standCodeDesc.put("15", "大雨");
		standCodeDesc.put("16", "暴雨"); standCodeDesc.put("17", "大暴雨");
		standCodeDesc.put("18", "特大暴雨"); standCodeDesc.put("19", "冻雨");
		standCodeDesc.put("20", "雨夹雪"); standCodeDesc.put("21", "阵雪");
		standCodeDesc.put("22", "小雪"); standCodeDesc.put("23", "中雪");
		standCodeDesc.put("24", "大雪"); standCodeDesc.put("25", "暴雪");
		standCodeDesc.put("26", "浮尘"); standCodeDesc.put("27", "扬沙");
		standCodeDesc.put("28", "沙尘暴"); standCodeDesc.put("29", "强沙尘暴");
		standCodeDesc.put("30", "雾"); standCodeDesc.put("31", "霾");
		standCodeDesc.put("32", "风"); standCodeDesc.put("33", "大风");
		standCodeDesc.put("34", "飓风"); standCodeDesc.put("35", "热带风暴");
		standCodeDesc.put("36", "龙卷风"); standCodeDesc.put("37", "冷");
		standCodeDesc.put("38", "热"); standCodeDesc.put("99", "未知");
	}
	
	
}
